$input-height: 40px;

*:-moz-focusring {
  text-shadow: none;
}

input {
  outline: 0;

  &.form-control {
    //min-width: 200px; // or 175px or ...
    padding: 12px 16px;
    height: $input-height;
    border-color: $nlb-gray-7;
    border-radius: 24px;
    color: $nlbDarkestGreyColor;

    &.is-invalid:focus {
      outline: 0;
      box-shadow: none;
      border-color: $nlbRedColor;
    }

    &:focus {
      outline: 0;
      box-shadow: none;
      border-color: $nlbMainGreyColor;
    }

    &[readonly],
    &:disabled {
      background-color: transparent;
      border-color: $nlbLightGreyColor;
      color: $nlbLightGreyColor;
    }

    &-invisible {
      border-color: transparent;

      &:focus {
        border-color: transparent;

        &.is-invalid {
          border-color: transparent;
        }
      }

      &.is-invalid {
        border-color: transparent;
      }
    }
  }
}

.form-control:-moz-focusring {
  text-shadow: none;
}

//.form-control:focus {
//  color: inherit;
//  background-color: inherit;
//}

textarea {
  resize: none; //disable textarea resize

  &.form-control {
    padding: 12px 16px;
    border-color: $nlbMainGreyColor;
    border-radius: 6px;

    &.is-invalid:focus {
      outline: 0;
      box-shadow: none;
      border-color: $nlbRedColor;
    }

    &:focus {
      outline: 0;
      box-shadow: none;
      border-color: $nlbMainGreyColor;
    }

    &[readonly],
    &:disabled {
      background-color: transparent;
      border-color: $nlbLightGreyColor;
      color: $nlbLightGreyColor;
    }

    &-invisible {
      border-color: transparent;

      &:focus {
        border-color: transparent;

        &.is-invalid {
          border-color: transparent;
        }
      }

      &.is-invalid {
        border-color: transparent;
      }
    }
  }
}

label,
span {
  &.is-invalid {
    color: $nlbRedColor;
  }
}

//  ****************************************
//  INPUTS WITH ICONS INSIDE (LEFT OR RIGHT)

.input-group {
  min-width: 200px;
  border: 1px solid $nlbMainGreyColor;
  height: $input-height;
  border-radius: 4px;

  input {
    border-color: transparent;
    height: $input-height - 1px;

    &:focus {
      border-color: transparent;
    }
  }

  .input-group-addon {
    padding: 12px 16px;
    display: flex !important;
    align-items: center !important;
    color: $nlbLightGreyColor;

    &.engaged {
      color: $nlbIndigoColor;
    }
  }

  &.is-invalid {
    border-color: $nlbRedColor;

    input {
      color: $nlbRedColor;
    }

    .input-group-addon {
      color: $nlbRedColor;
    }
  }
}

.form-group {
  .invalid-feedback {
    line-height: 1.2;
  }
}

.input-group > .form-control:not(:last-child),
.input-group > .custom-select:not(:last-child) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.input-group > .form-control:not(:first-child),
.input-group > .custom-select:not(:first-child) {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;

  padding-left: 0;
}

$input-width: 80%;
$input-width-small: 65%;
.amount-currency-group {
  .amount-currency-group-input {
    border: 1px solid $nlbMainGreyColor;
    height: 40px;
    border-radius: 24px;

    .amount-input {
      border: none;
    }

    input.form-control {
      width: $input-width;
      float: left;
      height: 100%;
      border-top-right-radius: 0;
      border-bottom-right-radius: 0;
      border: 0;

      @include media-breakpoint-down(sm) {
        width: $input-width-small;
      }
    }

    .vertical-split {
      height: 20px;
      width: 2px;
      background-color: $nlbMainGreyColor;
      float: left;
      margin: 9px auto;
    }

    nlb-dropdown-select,
    .disabled-input {
      float: left;
      width: calc((100% - #{$input-width}) - 2px);
      //height: 100%;

      .wrapper-dropdown .selection {
        border: none;
      }

      @include media-breakpoint-down(sm) {
        width: calc((100% - #{$input-width-small}) - 2px);
      }
    }

    .disabled-input {
      padding: 10px 16px;
      color: $nlbDarkGreyColor;
    }

    &.is-invalid {
      color: $nlbRedColor;
      border-color: $nlbRedColor;
    }
  }
}
